/*
    This sketch sends a string to a TCP server, and prints a one-line response.
    You must run a TCP server in your local network.
    For example, on Linux you can use this command: nc -v -l 3000
*/

#include <ESP8266WiFi.h>
#include <ESP8266WiFiMulti.h>

#ifndef STASSID
#define STASSID "" //*ENTER HOTSPOT USERNAME HERE
#define STAPSK  "" //* ENTER HOTPOSST PASSWORD HERE
#endif

const char* ssid     = STASSID;
const char* password = STAPSK;

const char* host = ""; //* ENTER HOTSPOT IP ADDRESS HERE
const uint16_t port = 12345;

ESP8266WiFiMulti WiFiMulti;

void setup() {
  Serial.begin(115200);

  // We start by connecting to a WiFi network
  WiFi.mode(WIFI_STA);
  WiFiMulti.addAP(ssid, password);

  Serial.println();
  Serial.println();
  Serial.print("Wait for WiFi... ");

  while (WiFiMulti.run() != WL_CONNECTED) {
    Serial.print(".");
    delay(500);
  }

  Serial.println("");
  Serial.println("WiFi connected");
  Serial.println("IP address: ");
 
  Serial.println(WiFi.localIP());

  delay(500);
}


void loop() {
  Serial.print("connecting to ");
  Serial.print(host);
  Serial.print(':');
  Serial.println(port);

  // Use WiFiClient class to create TCP connections
  WiFiClient client;

  if (!client.connect(host, port)) {
    Serial.println("connection failed");
    Serial.println("wait 2 sec...");
    delay(2000);
    return;
  }

  int sensorValue = analogRead(A0);
  Serial.println(sensorValue);
  if(sensorValue >= 700){
    client.print("UM2P-01: IN USE");
  }else{
    client.print("UM2P-01: AVAILABLE");
  }
  client.print("\n");

  Serial.println("closing connection");
  client.stop();

  Serial.println("wait 2 sec...");
  delay(2000);
}
